<!-- 
    Id's of main components:
    graph 
    input-name-event
    input-event-probability
    calculate (button for start calculating)
    dnf (span for fucking formula)
    result
 -->

<html>

<head>
  <meta charset="UTF-8">
  <title>ТПР. Лаба 2</title>
</head>

<body>
  <div class="container-fluid">
    <div class="row">
      <!-- div for tree or graph -->
      <div class="col-7 h-100 bg-info p-3" id="graph">
      </div>

      <!-- Card for input parametrs and output formula-->
      <div class="card col-5 mb-3 d-flex flex-column justify-content-start">
        <div>
          <div class="card-body border m-3">
            <div class="mb-3"><span>Информация об узле:</span></div>
            <form class="mb-0" id="form-name-event">
              <!-- Card for every vertex -->
              <div class="row form-group row m-0">
                <div class="col-4">
                  <label for="input-name-event" class="col-form-label-sm col pl-0">Событие</label>
                </div>
                <div class="col px-0">
                  <input type="text" class="form-control form-control-sm" id="input-name-event" placeholder="Наименование события">
                </div>
              </div>
            </form>

            <form class="mb-0" id="form-probability-event">
              <!-- Card for every vertex -->
              <div class="row form-group row m-0">
                <div class="col-4">
                  <label for="input-event-probability" class="col-form-label-sm col pl-0">Вероятность</label>
                </div>
                <div class="col px-0">
                  <input type="number" class="form-control form-control-sm" id="input-event-probability" min="0" max="1"
                    step="0.1" value="0.5">
                </div>
              </div>
            </form>
          </div>
        </div>

        <div class="container-fluid" id="calculate"><a href="#" class="btn btn-primary">Рассчитать</a></div>

        <!-- Card for output DNF -->
        <div class="card m-3" id="container-for-dnf">
          <div class="card-body ">
            <span id="dnf">Here will be dnf formula</span>
          </div>
        </div>

      </div>
      <div class="card m-3">
        <div class="card-body ">
          <label for="result">Оценка вероятности реализации опасного состояния:</label>
          <div class="border"><span id="result"></span></div>
        </div>
      </div>
    </div>
  </div>
</body>

</html>